/*
 * 文 件 名:  JaxbHelper.java
 * 版    权:   . Copyright 2008-2017,  All rights reserved   Co.,Ltd.
 * 描    述:  <描述>
 * 修 改 人:  simon
 * 修改时间:  2018年4月19日
 */
package com.cnblogs.simoncook.jaxb.helper;

import java.io.File;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Marshaller;

import com.cnblogs.simoncook.jaxb.bean.Menu;
import com.cnblogs.simoncook.jaxb.bean.ObjectFactory;
import com.cnblogs.simoncook.jaxb.bean.Root;

/**
 * <一句话功能简述>
 * <功能详细描述>
 * 
 * @author  simon
 * @version  [版本号, 2018年4月19日]
 * @see  [相关类/方法]
 * @since  [产品/模块版本]
 */
public class JaxbHelper
{
    
    private static JAXBContext context;

    /** <一句话功能简述>
     * <功能详细描述>
     * @param args
     * @see [类、类#方法、类#成员]
     */
    public static void main(String[] args)
    {
        Root root = new Root();
        root.setAge(18);
        root.setRole("xiaojuese");
        root.setUserName("simoncook");
        Menu menu1 = new Menu();
        menu1.setId("001");
        menu1.setName("m1");
        root.getMenus().add(menu1);
        
        Menu menu2 = new Menu();
        menu2.setId("002");
        menu2.setName("m2");
        root.getMenus().add(menu2);
        
        Menu menu3 = new Menu();
        menu3.setId("003");
        menu3.setName("m3");
        root.getMenus().add(menu3);
        
        context = getContext();
        try
        {
            Marshaller marshaller = context.createMarshaller();
            marshaller.setProperty(Marshaller.JAXB_FORMATTED_OUTPUT, true);
            marshaller.marshal(root, new File("/Users/simon/700.temp_/test.xml"));
        }
        catch (JAXBException e)
        {
            e.printStackTrace();
        }
    }
    
    private static synchronized JAXBContext getContext()
    {
        if (context == null)
        {
            try
            {
                context = JAXBContext.newInstance(ObjectFactory.class);
            }
            catch (JAXBException e)
            {
                e.printStackTrace();
            }
        }
        return context;
    }
    
}
