/*
 * 文 件 名:  Root.java
 * 版    权:   . Copyright 2008-2017,  All rights reserved  Co.,Ltd.
 * 描    述:  <描述>
 * 修 改 人:  simon
 * 修改时间:  2018年4月19日
 */
package com.cnblogs.simoncook.jaxb.bean;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <一句话功能简述>
 * <功能详细描述>
 * 
 * @author  simon
 * @version  [版本号, 2018年4月19日]
 * @see  [相关类/方法]
 * @since  [产品/模块版本]
 */
@XmlRootElement
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name="root_alias", propOrder = {"userName", "age", "role", "menus"})
public class Root
{
    private String userName;
    private int age;
    private String role;
    private List<Menu> menus;
    public String getUserName()
    {
        return userName;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }
    public int getAge()
    {
        return age;
    }
    public void setAge(int age)
    {
        this.age = age;
    }
    public String getRole()
    {
        return role;
    }
    public void setRole(String role)
    {
        this.role = role;
    }
    public List<Menu> getMenus()
    {
        if (menus == null)
        {
            menus = new ArrayList<Menu>();
        }
        return menus;
    }
    public void setMenus(List<Menu> menus)
    {
        this.menus = menus;
    }
    
    
}
